foundry-block-explorers

Crates.iofoundry-block-explorers
lib.rsfoundry-block-explorers
version0.3.0
sourcesrc
created_at2023-11-15 13:51:06.301429
updated_at2024-06-03 15:01:45.442092
descriptionBindings for Etherscan.io and other block explorer APIs
homepagehttps://github.com/foundry-rs/block-explorers
repositoryhttps://github.com/foundry-rs/block-explorers
max_upload_size
id1036465
size163,334
Matthias Seitz (mattsse)

documentation

README

foundry-block-explorers

Bindings for Etherscan.io and other block explorer APIs.

Originally part of ethers-rs as ethers-etherscan.

Build Status Telegram chat

Examples

use alloy_chains::Chain;
use foundry_block_explorers::Client;

async fn foo() -> Result<(), Box<dyn std::error::Error>> {
    let client = Client::new(Chain::mainnet(), "<your_api_key>")?;
    // Or using environment variables
    let client = Client::new_from_env(Chain::mainnet())?;

    let address = "0xBB9bc244D798123fDe783fCc1C72d3Bb8C189413".parse()?;
    let metadata = client.contract_source_code(address).await?;
    assert_eq!(metadata.items[0].contract_name, "DAO");
    Ok(())
}

Supported Rust Versions

Foundry will keep a rolling MSRV (minimum supported rust version) policy of at least 6 months. When increasing the MSRV, the new Rust version must have been released at least six months ago. The current MSRV is 1.65.0.

Note that the MSRV is not increased automatically, and only as part of a minor release.

License

Licensed under either of Apache License, Version 2.0 or MIT license at your option.
Unless you explicitly state otherwise, any contribution intentionally submitted for inclusion in these crates by you, as defined in the Apache-2.0 license, shall be dual licensed as above, without any additional terms or conditions.
Commit count: 62

cargo fmt